Secrets of Toanium - Support #396

Refactor to provide helper function on map for terrain.
Description

As with lights, walls, obstacles and doors, we need something like a map.terrainAt(x,y) that returns a terrain object if there is one for
that square, and null otherwise. This would look at both map data and tile data (translating locations as needed).

Perhaps a map.terrain() to return a list of all terrain for the map would be good, too.

History

#1 - 07/15/2025 07:52 PM - Frank Fernandez
- Status changed from New to Resolved

- Assignee changed from Frank Fernandez to Jay Gischer

Implemented on dev.

#2 - 08/06/2025 05:09 PM - Administrator Administrator
Pushed in 0.29.0

#3 - 08/06/2025 05:10 PM - Administrator Administrator

- Status changed from Resolved to Closed

12/12/2025
